Bug 88425 - Headless conversion from ODG to PNG no longer works [Hard to reproduce]
Summary: Headless conversion from ODG to PNG no longer works [Hard to reproduce]
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: needsWindows
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-14 22:15 UTC by Kerry Hjertaas
Modified: 2016-05-06 06:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test ODG file (a blue rectangle) to replicate this problem (8.25 KB, application/vnd.oasis.opendocument.graphics)
2015-01-14 22:15 UTC, Kerry Hjertaas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kerry Hjertaas 2015-01-14 22:15:28 UTC
Created attachment 112255 [details]
Test ODG file (a blue rectangle) to replicate this problem

The following command works fine and generates a PNG of the attached ODG file in 4.2.8.2 (the file is a blue rectangle).

soffice --headless --invisible --convert-to png test.odg ./

This same command produces no output with version 4.3.5.2 of libre office.  No errors appear on the console. No output PNG is created.

This was installed using the .msi installer on Windows 7 in both cases.
Comment 1 Robinson Tryon (qubit) 2015-01-14 23:25:44 UTC
Comment on attachment 112255 [details]
Test ODG file (a blue rectangle) to replicate this problem

fix mimetype
Comment 2 Robinson Tryon (qubit) 2015-01-14 23:36:33 UTC
TESTING on Ubuntu 14.04 + Lo 4.4.0.2

(In reply to Kerry Hjertaas from comment #0)
> Created attachment 112255 [details]
> Test ODG file (a blue rectangle) to replicate this problem
> 
> The following command works fine and generates a PNG of the attached ODG
> file in 4.2.8.2 (the file is a blue rectangle).
> 
> soffice --headless --invisible --convert-to png test.odg ./
> 

My command-line conversion is a bit more verbose, but it's doing basically the same thing:

qubit@loopbackoffice:~/libreoffice/builds/LibreOffice_4.4.0.2_Linux_x86-64_deb$ ./DEBS/install/opt/libreoffice4.4/program/soffice -env:UserInstallation=file:////home/qubit/libreoffice/builds/LibreOffice_4.4.0.2_Linux_x86-64_deb --headless --invisible --convert-to png /home/qubit/scratch/libreoffice/bugs/88425/test.odg ./
convert /home/qubit/scratch/libreoffice/bugs/88425/test.odg -> /home/qubit/libreoffice/builds/LibreOffice_4.4.0.2_Linux_x86-64_deb/test.png using draw_png_Export

Opening the resulting test.png showed a blue rectangle. I had the same success when testing with LO 4.3.5.2, so
NOREPRO from me.

Whiteboard -> needsWindows
Comment 3 Buovjaga 2015-01-16 19:16:36 UTC
PNG generated fine for me.

Win 7 64-bit, LibO Version: 4.4.0.2
Build ID: a3603970151a6ae2596acd62b70112f4d376b99

and Version: 4.5.0.0.alpha0+
Build ID: 4c93c341be1425401112eed3581e8b8a6308880d
TinderBox: Win-x86@42, Branch:master, Time: 2015-01-16_01:53:40
Comment 4 Robinson Tryon (qubit) 2015-01-16 19:23:50 UTC
(In reply to Kerry Hjertaas from comment #0)
> The following command works fine and generates a PNG of the attached ODG
> file in 4.2.8.2 (the file is a blue rectangle).
> 
> soffice --headless --invisible --convert-to png test.odg ./
> 
> This same command produces no output with version 4.3.5.2 of libre office. 
> No errors appear on the console. No output PNG is created.

Please try the latest 4.4.0 rc 2:
https://www.libreoffice.org/download/libreoffice-fresh/?version=4.4.0&lang=en-US

Status -> NEEDINFO
Comment 5 MM 2015-01-18 21:49:54 UTC
No problems with v4.3.5.2 under windows 7 x64.
Comment 6 Robinson Tryon (qubit) 2015-01-18 22:12:01 UTC
(In reply to MM from comment #5)
> No problems with v4.3.5.2 under windows 7 x64.

Close enough to OP's testing, so:
Summary -> [hard to repro]
Comment 7 Kerry Hjertaas 2015-02-23 21:35:48 UTC
I tested this with the linked release candidate (sorry for how long this took, I was on vacation and didn't check my e-mail for a few weeks).

Same issue, with version 4.4.0.3 it still doesn't generate the file for me.

These bugs appear to be similar, (possibly duplicates?):

Bug 82265

Bug 82257
Bug 80482

These last two appeared to be fixed by installing libGLU.  Not sure how to do that on Windows, or why I would have to now and didn't have to before.  If it's necessary, could it be included in the release?  Possible the people it worked for have this library installed from something else?
Comment 8 Buovjaga 2015-02-24 06:02:34 UTC
Back to UNCONFIRMED.
Comment 9 Robinson Tryon (qubit) 2015-03-26 18:53:03 UTC
(In reply to Kerry Hjertaas from comment #7)
> These last two appeared to be fixed by installing libGLU.  Not sure how to
> do that on Windows, or why I would have to now and didn't have to before. 

libGLU is an OpenGL library for all kinds of drawing extensions, curves, etc, so it sounds possible it might be relevant for converting from ODG -> PNG; I'll check w/the devs.
Comment 10 raal 2016-05-03 08:32:06 UTC
I can not confirm with 5.1.1.3, win7

Kerry, please test with actual version. Thank you.

https://www.libreoffice.org/download/libreoffice-fresh/
Comment 11 Kerry Hjertaas 2016-05-05 21:56:32 UTC
(In reply to raal from comment #10)
> I can not confirm with 5.1.1.3, win7
> 
> Kerry, please test with actual version. Thank you.
> 
> https://www.libreoffice.org/download/libreoffice-fresh/

Tested with version 5.1.2.2 on Windows 7, and it appears to work correctly now.
Comment 12 Buovjaga 2016-05-06 06:28:39 UTC
Thanks. WFM.